<?php
/**
 * Define Constants
 */
define('ACADEMIATHEMES_SHORTNAME', 'lectura-lite'); 
define('ACADEMIATHEMES_PAGE_BASENAME', 'lectura-lite-doc'); 

/**
 * Specify Hooks/Filters
 */
add_action( 'admin_menu', 'academiathemes_add_menu' );

/**
* The admin menu pages
*/
function academiathemes_add_menu(){
	
	add_theme_page( __('Lectura Lite Theme','lectura-lite'), __('Lectura Lite Theme','lectura-lite'), 'edit_theme_options', ACADEMIATHEMES_PAGE_BASENAME, 'academiathemes_settings_page_doc' ); 

}

// ************************************************************************************************************

/*
 * Theme Documentation Page HTML
 * 
 * @return echoes output
 */
function academiathemes_settings_page_doc() {
	// get the settings sections array
	$theme_data = wp_get_theme();
	?>
	
	<div class="academiathemes-wrapper">
		<div class="academiathemes-header">
			<div id="academiathemes-theme-info">
				<p><?php 

					echo sprintf( 
					/* translators: Theme name and version */
					__( '<span class="theme-name">%1$s Theme</span> <span class="theme-version">(version %2$s)</span>', 'lectura-lite' ), 
					esc_html($theme_data->name),
					esc_html($theme_data->version)
					); ?></p>
					<p class="theme-buttons"><a class="button button-primary" href="https://www.academiathemes.com/themes/lectura-lite/" rel="noopener" target="_blank"><?php esc_html_e('Theme Details','lectura-lite'); ?></a>
				<a class="button button-primary" href="https://demo.academiathemes.com/?theme=lectura-lite" rel="noopener" target="_blank"><?php esc_html_e('Lectura Lite Live Demo','lectura-lite'); ?></a>
				<a class="button button-primary academiathemes-button academiathemes-button-youtube" href="https://youtu.be/TPgI4GcOFtY" rel="noopener" target="_blank"><span class="dashicons dashicons-youtube"></span> <?php esc_html_e('Lectura Lite Video Guide','lectura-lite'); ?></a></p>
			</div><!-- #academiathemes-theme-info --><!-- ws fix
			--><div id="academiathemes-logo">
				<a href="https://www.academiathemes.com/" target="_blank" rel="noopener"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/academia-admin/images/academiathemes-logo-black.png" width="175" height="79" alt="<?php esc_attr_e('AcademiaThemes.com Logo','lectura-lite'); ?>" /></a>
			</div><!-- #academiathemes-logo -->
		</div><!-- .academiathemes-header -->
		
		<div class="academiathemes-documentation">
			<div class="academiathemes-theme-intro">
				<h2><?php esc_html_e( 'Thank you for installing Lectura Lite', 'lectura-lite' ); ?></h2>
			</div><!-- .academiathemes-theme-intro -->

			<ul class="academiathemes-doc-columns clearfix">
				<li class="academiathemes-doc-column academiathemes-doc-column-1">
					<div class="academiathemes-doc-column-wrapper">
						<div class="doc-section">
							<h3 class="column-title"><span class="academiathemes-icon dashicons dashicons-editor-help"></span><span class="academiathemes-title-text"><?php esc_html_e('Lectura Lite Documentation and Support','lectura-lite'); ?></span></h3>
							<div class="academiathemes-doc-column-text-wrapper">
								<p><?php 
								echo sprintf( 
								/* translators: Theme name and link to WordPress.org Support forum for the theme */
								__( 'Support for %1$s Theme is provided in the official WordPress.org community support forums. ', 'lectura-lite' ), 
								esc_html($theme_data->name)	); ?></p>

								<p class="doc-buttons"><a class="button button-primary" href="https://www.academiathemes.com/documentation/lectura-lite/" rel="noopener" target="_blank"><?php esc_html_e('View Lectura Lite Documentation','lectura-lite'); ?></a> <a class="button button-secondary" href="https://wordpress.org/support/theme/lectura-lite/" rel="noopener" target="_blank"><?php esc_html_e('Go to Lectura Lite Support Forum','lectura-lite'); ?></a></p>

							</div><!-- .academiathemes-doc-column-text-wrapper-->
						</div><!-- .doc-section -->
						<div class="doc-section">

							<h3 class="column-title"><span class="academiathemes-icon dashicons dashicons-youtube"></span><span class="academiathemes-title-text"><?php esc_html_e('Lectura Lite Theme Video Tutorial','lectura-lite'); ?></span></h3>
							<div class="academiathemes-doc-column-text-wrapper">
							
								<p><strong><?php esc_html_e('Click the image below to open the video guide in a new browser tab.','lectura-lite'); ?></strong></p>
								<p><a href="https://youtu.be/TPgI4GcOFtY" rel="noopener" target="_blank"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/academia-admin/images/lectura-lite-video-preview.jpg" class="video-preview" alt="<?php esc_attr_e('Lectura Lite Theme Video Tutorial','lectura-lite'); ?>" /></a></p>

							</div><!-- .academiathemes-doc-column-text-wrapper-->

						</div><!-- .doc-section -->
					</div><!-- .academiathemes-doc-column-wrapper -->
				</li><!-- .academiathemes-doc-column --><li class="academiathemes-doc-column academiathemes-doc-column-2">
					<div class="academiathemes-doc-column-wrapper">
						<div class="doc-section">
							<h3 class="column-title"><span class="academiathemes-icon dashicons dashicons-awards"></span><span class="academiathemes-title-text"><?php esc_html_e('Leave a Review','lectura-lite'); ?></span></h3>
							<div class="academiathemes-doc-column-text-wrapper">
								<p><?php esc_html_e('If you enjoy using Lectura Lite Theme, please leave a review for it on the WordPress.org website. It helps us continue providing updates and support for it.','lectura-lite'); ?></p>

								<p class="doc-buttons"><a class="button button-primary" href="https://wordpress.org/support/theme/lectura-lite/reviews/#new-post" rel="noopener" target="_blank"><?php esc_html_e('Write a Review for Lectura Lite','lectura-lite'); ?></a></p>

							</div><!-- .academiathemes-doc-column-text-wrapper-->
						</div><!-- .doc-section -->

					</div><!-- .academiathemes-doc-column-wrapper -->
				</li><!-- .academiathemes-doc-column -->
			</ul><!-- .academiathemes-doc-columns -->

		</div><!-- .academiathemes-documentation -->

	</div><!-- .academiathemes-wrapper -->

<?php }